org.eclipse.viatra.cep.vepl.jvmmodel

## Class Utils

- java.lang.Object
- - org.eclipse.viatra.cep.vepl.jvmmodel.Utils

-     public class Utils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addOverrideAnnotation(org.eclipse.xtext.common.types.JvmOperation method, org.eclipse.emf.ecore.EObject context)`
    `org.eclipse.xtext.xbase.compiler.output.ITreeAppendable` | `referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder, org.eclipse.emf.ecore.EObject ctx, java.lang.Class<?> clazz, org.eclipse.xtext.common.types.JvmTypeReference... typeArgs)`
    `org.eclipse.xtext.xbase.compiler.output.ITreeAppendable` | `referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder, org.eclipse.xtext.naming.QualifiedName fqn, org.eclipse.emf.ecore.EObject ctx)`
    `org.eclipse.xtext.xbase.compiler.output.ITreeAppendable` | `referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder, java.lang.String fqn, org.eclipse.emf.ecore.EObject ctx)`
    `void` | `serialize(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable, org.eclipse.xtext.common.types.JvmTypeReference ref, org.eclipse.emf.ecore.EObject ctx)`
    `org.eclipse.xtext.common.types.JvmOperation` | `toAdvancedSetter(ModelElement element, java.lang.String name, org.eclipse.xtext.common.types.JvmTypeReference type, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder, int index)`
    `org.eclipse.xtext.common.types.JvmWildcardTypeReference` | `wildCardExtends(org.eclipse.xtext.common.types.JvmTypeReference clone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### toAdvancedSetter

          public org.eclipse.xtext.common.types.JvmOperation toAdvancedSetter(ModelElement element,
                                                                              java.lang.String name,
                                                                              org.eclipse.xtext.common.types.JvmTypeReference type,
                                                                              org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder,
                                                                              int index)

    - #### addOverrideAnnotation

          public boolean addOverrideAnnotation(org.eclipse.xtext.common.types.JvmOperation method,
                                               org.eclipse.emf.ecore.EObject context)

    - #### wildCardExtends

          public org.eclipse.xtext.common.types.JvmWildcardTypeReference wildCardExtends(org.eclipse.xtext.common.types.JvmTypeReference clone)

    - #### referClass

          public org.eclipse.xtext.xbase.compiler.output.ITreeAppendable referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder,
                                                                                    org.eclipse.xtext.naming.QualifiedName fqn,
                                                                                    org.eclipse.emf.ecore.EObject ctx)

    - #### referClass

          public org.eclipse.xtext.xbase.compiler.output.ITreeAppendable referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder,
                                                                                    java.lang.String fqn,
                                                                                    org.eclipse.emf.ecore.EObject ctx)

    - #### referClass

          public org.eclipse.xtext.xbase.compiler.output.ITreeAppendable referClass(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder,
                                                                                    org.eclipse.emf.ecore.EObject ctx,
                                                                                    java.lang.Class<?> clazz,
                                                                                    org.eclipse.xtext.common.types.JvmTypeReference... typeArgs)

    - #### serialize

          public void serialize(org.eclipse.xtext.xbase.compiler.output.ITreeAppendable appendable,
                                org.eclipse.xtext.common.types.JvmTypeReference ref,
                                org.eclipse.emf.ecore.EObject ctx)